﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace DataTreeGridSimpleDataBindingSample
{
    public class CustomNodeItem : INotifyPropertyChanged
    {
        private string name;
        public string Name { get { return name; } set { if (value != name) name = value; OnPropertyChanged("Name"); } }

        private int indentLevel;
        public int IndentLevel { get { return indentLevel; } set { if (value != indentLevel) indentLevel = value; OnPropertyChanged("IndentLevel"); } }

        private string description;
        public string Description { get { return description; } set { if (value != description) description = value; OnPropertyChanged("Description"); } }

        #region Changes

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
